/********************************************************************/
/*  7188XC + X301 head file	                                        */
/*					                                                */				
/*  [12,October,2005] by Liam                                       */
/*  [18/Dec/2006] by Liam                                           */
/********************************************************************/
/********************************************************************/
/* [Caution]						                                */
/*	The EEPROM block 7 on X board is used to store A/D & D/A        */
/*	calibration settings.                                           */
/*  When you use the  EEPROM on X board, don't overwrite it.        */
/*				                                                    */
/********************************************************************/

#ifndef __X301_H
#define __X301_H

#ifdef __cplusplus
extern "C" {
#endif

#define fAD_Gain    X301_fAD_Gain
#define fAD_Offset  X301_fAD_Offset
#define fDA_Gain    X301_fDA_Gain
#define fDA_Offset  X301_fDA_Offset

int X301_Init(void);
/*  Return value: 0   ==> success
    Return value: <>0 ==> error
        Bit0: 1 ==> (Ch0)Reads A/D Gain falure
        Bit1: 1 ==> (Ch0)Reads A/D Offset falure
        Bit2: 1 ==> (Ch0)Reads D/A Gain falure
        Bit3: 1 ==> (Ch0)Reads D/A Offset falure    */

unsigned X301_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

float Read_AD_CalibrationGain(void);
/*  Return 10.0 when no setting in EEPROM   */

float Read_AD_CalibrationOffset(void);
/*  Return 10.0 when no setting in EEPROM   */

float Read_DA_CalibrationGain(void);
/*  Return 10.0 when no setting in EEPROM   */

float Read_DA_CalibrationOffset(void);
/*  Return 10.0 when no setting in EEPROM   */

float X301_AnalogIn(void);
/*  Return data = 0 ~ 2.5   */

void X301_AnalogOut(float fValue);
/*  fValue: 0 ~ 4.095   */

extern float 	X301_fAD_Gain, X301_fAD_Offset;
extern float 	X301_fDA_Gain, X301_fDA_Offset;
extern int 		iXboardDO;

#ifdef __cplusplus
}
#endif

#endif
