/********************************************************************/
/*  7188XC + X302 head file	                                        */
/*					                                                */				
/*  [20,July,2002] by David	                                        */
/*  [12,October,2005] by Liam                                       */
/*  [18/Dec/2006] by Liam                                           */
/********************************************************************/
/********************************************************************/
/* [Caution]						                                */
/*	The EEPROM block 7 on X board is used to  	                    */
/*	store A/D & D/A calibration settings.                           */
/*      When you use the  EEPROM on X board, don't overwrite it.    */
/*				                                                    */
/********************************************************************/

#ifndef __X302_H
#define __X302_H

#ifdef __cplusplus
extern "C" {
#endif

#define fAD_Gain    X302_fAD_Gain
#define fAD_Offset  X302_fAD_Offset
#define fDA_Gain    X302_fDA_Gain
#define fDA_Offset  X302_fDA_Offset

int X302_Init(void);
/*  Return value: 0   ==> success
    Return value: <>0 ==> error
            Bit0: 1 ==> (Ch0)Reads A/D Gain falure
            Bit1: 1 ==> (Ch0)Reads A/D Offset falure
            Bit2: 1 ==> (Ch0)Reads D/A Gain falure
            Bit3: 1 ==> (Ch0)Reads D/A Offset falure    */

unsigned X302_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

float Read_AD_CalibrationGain(void);
/*  Return 10.0 when no setting in EEPROM   */

float Read_AD_CalibrationOffset(void);
/*  Return 10.0 when no setting in EEPROM   */

float Read_DA_CalibrationGain(void);
/*  Return 10.0 when no setting in EEPROM   */

float Read_DA_CalibrationOffset(void);
/*  Return 10.0 when no setting in EEPROM   */

float X302_AnalogIn(void);
/*  Return data = -5.0 ~ 5.0    */

void X302_AnalogOut(float fValue);
/*  fValue: -5.0 ~ 5.0  */

extern float 	X302_fAD_Gain, X302_fAD_Offset;
extern float 	X302_fDA_Gain, X302_fDA_Offset;
extern int 		iXboardDO;

#ifdef __cplusplus
}
#endif

#endif
